Bootloader 1.1 vs. 1.2

Discussion in 'Viewsonic gTablet Technical' started by Fuganater, Jun 25, 2011.

  1. Fuganater

    Fuganater Moderator Staff Member

    Joined:
    Feb 8, 2011
    Messages:
    728
    Likes Received:
    93
    Trophy Points:
    102
    I am making this post after doing some research on several other forums. Here is the most important information I could find to help users understand the differences.

    What branch am I running?


    If your device is still running the stock ROM go to Settings > About Tablet > Tapu UI Version. If the numbers there start with 1.1 then you are on the old 1.1 branch. If it starts with 1.2 then you are on the new 1.2 branch. Another easy way to tell is if you have a lockscreen on your device. If you do, you are running the 1.2 branch, if not, you have the 1.1 branch.


    What ROMs can I use?

    Most all sites now are requiring devs to put "1.1" or "1.2" in the title of the ROM thread so that users know what they can use. Once you know what branch you are on you can browse pretty much any site now and know what you can and can't use.

    I am on the 1.1 branch
    You can read this: http://www.androidtablets.net/forum...st-1-1-roms-viewsonic-g-tablet.html#post59527 for 1.1 based ROMs. These are not the only ones but it is a good collection of them. You can find more over and XDA. Even though 1.1 is "old", devs are still pumping out ROMs for it.

    I am on the 1.2 branch
    I do not have a thread for 1.2 based ROMs yet but I will get one up soon. Once it is made I will post the link here. Here are some of the popular ones I have heard of.

    Flashback Honeycomb Alpha 3.0
    Honeycomb Android Illuminate for The Gtablet\Zpad T2
    Bottle of Smoke Honeycomb
    Century Eyes
    Mountain Laurel
    Brilliant Corners


    Should I upgrade from 1.1 to 1.2?

    At the time of this writing it is a personal preference. Pretty much all G-Tablets being sold today are running the new kernel which is 1.2 based. Devs are now taking the 1.2 based ROMs and porting them for 1.1 users. The Bottle of Smoke ROM is a prime example of that. If you want to upgrade, please follow the steps here: http://www.androidtablets.net/forum...to-upgrade-1-1-1-2-based-roms.html#post105316




    I hope this helps some of you to understand the differances between 1.1 and 1.2 based ROMs.



    More information will come as myself and other Mods find it.
     
    • Like Like x 8
  2. Fuganater

    Fuganater Moderator Staff Member

    Joined:
    Feb 8, 2011
    Messages:
    728
    Likes Received:
    93
    Trophy Points:
    102
    Reserved for future use
     
  3. Androo

    Androo Member

    Joined:
    Feb 9, 2011
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    70
    I have the G-Harmony Gingerbread 2.3.3 ROM, it has a lock screen on it but it doesn't say if its 1.1 or 1.2. I recently bought my GTablet just a couple of months ago, so I guess mine is already 1.2. I'll wait to see what more you have to post to decide what other ROM I want to try out. Thanks for this though.
     
  4. roebeet

    roebeet Member

    Joined:
    Oct 25, 2010
    Messages:
    16
    Likes Received:
    17
    Trophy Points:
    62
    Location:
    NULL
    I have a lengthy post over in XDA that talks about 1.1/1.2. Feel free to grab it / dissect it as you see fit -- I tried to make of note of all the mods I knew of, and what bootloader they were using. I'm not sure if you lifted some of this from there or SLD, as I have a smaller post over there, also.

    1.2 is slowly starting to dominate - the vendor themselves and cynanogenmod being the main holdouts.


    Lock screen difference is only for stock ROMs. G-Harmony is a 1.1 ROM, at least the last time I checked.
     
    Last edited: Jun 25, 2011
  5. Fuganater

    Fuganater Moderator Staff Member

    Joined:
    Feb 8, 2011
    Messages:
    728
    Likes Received:
    93
    Trophy Points:
    102
    I'll look for your post on XDA. I got this info from notes that I've taken over the past week or so reading through other posts here. Also found some of this on SLD and 2 other forums but I don't remember which ones.

    If my info is wrong roebeet, please correct me and I'll update the 1st post.
     
  6. roebeet

    roebeet Member

    Joined:
    Oct 25, 2010
    Messages:
    16
    Likes Received:
    17
    Trophy Points:
    62
    Location:
    NULL
    It's here, btw (is is OK to post links? On XDA, the moderators frown on links) [STICKY] Bootloader information - 1.1 and 1.2 dev branches and what you need to know - xda-developers. Please feel free to take whatever you need -- I'm not normally on this forum (time related - hard to scan multiple forums at the same time). Information should be for everyone.

    Your stuff is accurate so far - I've been dealing with 1.1/1.2 differences since the 3991 UAT build. No "improvements" with 1.2, tmk, just a branch that the device developers started using for the Adam, the Olipad, the Hannspad and the zPad T2. The GTAB is really the last holdout, but rumor has that a 1.2 stock ROM (that sticks) might be coming soon.
     
  7. Fuganater

    Fuganater Moderator Staff Member

    Joined:
    Feb 8, 2011
    Messages:
    728
    Likes Received:
    93
    Trophy Points:
    102
    XDA links are ok here. We like you guys :D. That was the thread I was just looking at. I saw some good stuff so I'll grab a bit of it. Thanks for the permission!
     
  8. MKITGO2

    MKITGO2 Member

    Joined:
    Apr 15, 2011
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    60
    In reading through robeet's post I see one association that I want to confirm is correct. 4349 = 1.2 and 3588 = 1.1... I started out on 3588 then received the OTA update to 4349... and have performed the downgrade back toe 3588.

    So I believe this equals a 1.1 bootloader.
     
  9. Fuganater

    Fuganater Moderator Staff Member

    Joined:
    Feb 8, 2011
    Messages:
    728
    Likes Received:
    93
    Trophy Points:
    102
    Yes that is correct.
     
  10. danobegood

    danobegood Member

    Joined:
    Oct 24, 2011
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    60
    Tablet / Device:
    g-tablet
    My Viewsonic G-Tablet TapUI shows 1.0.1. Is this thing just waaay too old to upgrade or could I get it to Android2.3? I'm hoping to use Google+ or comparable?Thanks,Dano
     
  11. pbrauer

    pbrauer Administrator Staff Member

    Joined:
    Sep 24, 2010
    Messages:
    3,649
    Likes Received:
    561
    Trophy Points:
    312
    Location:
    Edina, MN USA
    Tablet / Device:
    HTC Thunderbolt, ViewSonic GTab, Huawei S7, Gentouch 78
    You can take the gtablet all the way to gingerbread. This is all covered in threads here in the forum.

    Sent from my ADR6400L using Android Tablet Forum
     
  12. danobegood

    danobegood Member

    Joined:
    Oct 24, 2011
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    60
    Tablet / Device:
    g-tablet
    Thank you very much. I'm on my way.
     
  13. Cricket59

    Cricket59 Member

    Joined:
    Oct 28, 2011
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    60
    Location:
    USA
    Tablet / Device:
    GTablet
    I recently bought a USED GTablet which has already been Rooted. I am unsure which bootloader is/was on the device. Currently the following info is available:

    Android Version 3.0.1
    Kernel Version 2.6.32.41-cyanogenmod root@pershoot-ubuntu #1
    Build: GtabComb_a1.6

    When booting into Recovery--> ClockworkMod Recovery v2.5.1.1-bekit-0.8

    OK. When rooting a new Mod (and associated Kernel), do I use one for 1.1 or 1.2? Thanks in advance for an answer to this very basic question!
     
    Last edited: Oct 28, 2011
  14. pbrauer

    pbrauer Administrator Staff Member

    Joined:
    Sep 24, 2010
    Messages:
    3,649
    Likes Received:
    561
    Trophy Points:
    312
    Location:
    Edina, MN USA
    Tablet / Device:
    HTC Thunderbolt, ViewSonic GTab, Huawei S7, Gentouch 78
    Ok, well that particular version of GTab-Combo is actually kind of old, there have been several Revs since that came out. That being said, it was also release on both bootloader AFAIK, so I can't give a definitive answer.

    My recommendation either way would be to read the thread on NVFlash, and then decide which BL version you want and install a more current ROM.
     
  15. Cricket59

    Cricket59 Member

    Joined:
    Oct 28, 2011
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    60
    Location:
    USA
    Tablet / Device:
    GTablet
    So, I guess it is NOT a very basic question. Would it be best to take it back to stock/original config and start from there? ( I suppose then, I could see which branch I am on.)
     

Share This Page